## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id  app.drey.MultiplicationPuzzle

Name:           gmult
Version:        14.0
Release:        %autorelease
Summary:        Multiplication Puzzle
# CC0-1.0 applies only to build system files
License:        GPL-3.0-or-later AND CC-BY-SA-4.0
URL:            https://gitlab.gnome.org/mterry/gmult
Source:         %{url}/-/archive/%{version}/gmult-%{version}.tar.bz2

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0) >= 2.76
BuildRequires:  pkgconfig(gtk4) >= 4.14
BuildRequires:  pkgconfig(libadwaita-1) >= 1.5
BuildRequires:  vala

Requires:       hicolor-icon-theme

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%description
Multiplication Puzzle is a simple game inspired by the multiplication game 
inside the popular editor emacs. You are presented with a long multiplication 
problem where a 3-digit number is multiplied by a 2-digit number, yielding two 
intermediate 4-digit number and a final 5-digit answer.  However, all the 
digits are replaced by letters.  Your job is to discover which letters are 
which digits.

%prep
%autosetup -p1
%if 0%{?fedora} >= 39 || 0%{?rhel} >= 10
# Gtk.CssProvider.load_from_data deprecated and replaced in 4.12
sed -i -e 's/VALA_0_58/VALA_0_56/;s/load_from_data/load_from_string/' gmult/main.vala
%endif


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml


%files -f %{name}.lang
%license LICENSES/CC-BY-SA-4.0.md LICENSES/GPL-3.0-or-later.md
%doc MAINTAINERS.md NEWS.md README.md
%{_bindir}/gmult
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/dbus-1/services/%{app_id}.service
%{_datadir}/glib-2.0/schemas/%{app_id}.gschema.xml
%{_datadir}/icons/hicolor/*/*/%{app_id}*
%{_metainfodir}/%{app_id}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Mar 26 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 14.0-1
- 14.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Sep 22 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 13.0-1
- 13.0

* Fri Aug 18 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 12.0-1
- Initial build
## END: Generated by rpmautospec
